Subject: Re: bug#23002: 25.0.92; sluggish M-x

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 Mar 2016 21:31:04 -0400

>> Hmm... this seems to indicate that while-no-input is just not really
>> working in those systems.
> At least, not in a responsive way.  I first tried to shorten the
> polling interval in start_polling if Vthrow_on_input is non-nil.  But
> let-binding throw-on-input as in the definition of while-no-input was
> not enough and we would need some explicit function call to activate
> start_polling.

Hmm... that sucks.  We could change while-no-input to call an ad-hoc
function after binding throw-on-input, if there's no other solution.

> Indeed.  (if use-polling (input-pending-p)) does work.

So we could define a `poll' function that does just that.  It's not
ideal either, of course,

        Stefan